Resolved Bugs.

Discussion in 'Developer Support' started by Eagles13, Feb 9, 2016.

  1. When trying to start any bot:


    Spelling error:

  2. Best Answer:
    Post #6 by Cloud, Feb 9, 2016
  3. The bot is using PaintListener, which isnt supported in spectre (its simply completely taken out), thats why it wont work (i think)
    But there are other things, like that iilililillil. Some classes bots use got obfuscated, causing the bots to crash aswell.
  4. Arbi says that paint listener should be working.
  5. Yes, we don't want to break backwards compatibility with 90% of our bots. PaintListener needs to be added back, even if it provides no function. @Cloud is already aware of this, so this is likely just a minor oversight. Will be remedied shortly.
  6. Then it got renamed or moved aswell, my classes couldn't find PaintListener anymore.
  7. ActionBar.Slot obfuscation has been fixed for the next release.
    PaintListener has been added back in for the next release.
    The typo in the AlertBar has been fixed for the next release.

    Bots not running are simply because some part of them isn't compatible with Spectre's revised API.

Share This Page